package com.kyle.applicationservice.service.impl;

import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.loadbalancer.LoadBalancerClient;
import com.kyle.applicationservice.service.ClientService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

@Service
public class ClientServiceImpl implements ClientService {
    @Autowired
    private LoadBalancerClient loadBalancerClient;
    @Override
    public String first() {
        ServiceInstance si = loadBalancerClient.choose("application-service");
        StringBuilder sb = new StringBuilder();
        StringBuilder url = sb.append("http://").append(si.getHost()).append(":").append(si.getPort());

        System.out.println("本次访问的service是：" +  url.toString());

        RestTemplate rt = new RestTemplate();
        ParameterizedTypeReference<String> type = new ParameterizedTypeReference<String>() {
        };

        ResponseEntity<String> response = rt.exchange(url.toString(), HttpMethod.GET, null, type);
        String responseBody = response.getBody();

        return responseBody;
    }
}
