package com.kyle.springcloud03consumerfeign.controller;

import com.kyle.springcloud03consumerfeign.service.ClientService;
import com.kyle.springcloud03serviceapi.pojo.User;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class ClientController {
    private ClientService clientService;

    @GetMapping(value = "/test")
    public List<String> testFeign(){
        return clientService.testFeign();
    }

    @GetMapping("/get")
    public User getMultiParams(Integer id,String name){
        return clientService.getMultiParams(id, name);
    }

    @GetMapping("/post")
    public User postMultiParams(Integer id,String name){
        return clientService.postMultiParams(id, name);
    }

    @GetMapping("/postObjectParam")
    public User postObjectParam(User pojo){
        return clientService.postObjectParam(pojo);
    }

}
