package com.kyle.applicationservice.controller;

import com.kyle.springcloud03serviceapi.pojo.User;
import com.kyle.springcloud03serviceapi.service.ServiceApi;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Arrays;
import java.util.List;

@RestController
public class ServiceController implements ServiceApi {

    @Override
    public List<String> testFeign() {
        return Arrays.asList("测试 Openfeign", "此为返回结果");
    }

    @Override
    public User getMultiParams(Integer id, String name) {
        System.out.println("getMultiParams method run, parameters is [ id : " + id + " ; name : " + name + " ]");
        User user = new User();
        user.setId(id);
        user.setName(name);
        return user;
    }

    @Override
    public User postMultiParams(Integer id, String name) {
        System.out.println("postMultiParams method run, parameters is [ id : " + id + " ; name : " + name + " ]");
        User user = new User();
        user.setId(id);
        user.setName(name);
        return user;
    }

    @Override
    public User postObjectParam(User pojo) {
        System.out.println("postObjectParam method run, parameters is [ " + pojo + " ]");
        return pojo;
    }
}
